| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::cuda::BackgroundSubtractorMOG Class Referenceabstract
CUDA-accelerated Computer Vision » Background Segmentation

Gaussian Mixture-based Background/Foreground Segmentation Algorithm. More...

`#include <opencv2/cudabgsegm.hpp>`

Collaboration diagram for cv::cuda::BackgroundSubtractorMOG:

## Public Member Functions
virtual void | apply (InputArray image, OutputArray fgmask, double learningRate, Stream &stream)=0
void | getBackgroundImage (GpuMat &backgroundImage, Stream &stream)
virtual void | getBackgroundImage (OutputArray backgroundImage, Stream &stream) const =0
virtual double | getBackgroundRatio () const =0
virtual int | getHistory () const =0
virtual int | getNMixtures () const =0
virtual double | getNoiseSigma () const =0
virtual void | setBackgroundRatio (double backgroundRatio)=0
virtual void | setHistory (int nframes)=0
virtual void | setNMixtures (int nmix)=0
virtual void | setNoiseSigma (double noiseSigma)=0
Public Member Functions inherited from cv::BackgroundSubtractor
virtual void | apply (InputArray image, OutputArray fgmask, double learningRate=-1)=0
| Computes a foreground mask.
virtual void | getBackgroundImage (OutputArray backgroundImage) const =0
| Computes a background image.
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state.
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read.
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage.
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage.
void | write (FileStorage &fs, const String &name) const

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file.
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String.
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node.
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Gaussian Mixture-based Background/Foreground Segmentation Algorithm.

The class discriminates between foreground and background pixels by building and maintaining a model of the background. Any pixel which does not fit this model is then deemed to be foreground. The class implements algorithm described in [139] .

See also
  BackgroundSubtractorMOG

Note
  - An example on gaussian mixture based background/foreground segmantation can be found at opencv_source_code/samples/gpu/bgfg_segm.cpp

## Member Function Documentation

## ◆ apply()

virtual void cv::cuda::BackgroundSubtractorMOG::apply | ( | InputArray | image,
|  | OutputArray | fgmask,
|  | double | learningRate,
|  | Stream & | stream )
| pure virtual

## ◆ getBackgroundImage() [1/2]

void cv::cuda::BackgroundSubtractorMOG::getBackgroundImage | ( | GpuMat & | backgroundImage,
|  | Stream & | stream )
| inline

## ◆ getBackgroundImage() [2/2]

virtual void cv::cuda::BackgroundSubtractorMOG::getBackgroundImage | ( | OutputArray | backgroundImage,
|  | Stream & | stream ) const
| pure virtual

## ◆ getBackgroundRatio()

virtual double cv::cuda::BackgroundSubtractorMOG::getBackgroundRatio | ( |  | ) | const
| pure virtual

## ◆ getHistory()

virtual int cv::cuda::BackgroundSubtractorMOG::getHistory | ( |  | ) | const
| pure virtual

## ◆ getNMixtures()

virtual int cv::cuda::BackgroundSubtractorMOG::getNMixtures | ( |  | ) | const
| pure virtual

## ◆ getNoiseSigma()

virtual double cv::cuda::BackgroundSubtractorMOG::getNoiseSigma | ( |  | ) | const
| pure virtual

## ◆ setBackgroundRatio()

virtual void cv::cuda::BackgroundSubtractorMOG::setBackgroundRatio | ( | double | backgroundRatio | ) |
| pure virtual

## ◆ setHistory()

virtual void cv::cuda::BackgroundSubtractorMOG::setHistory | ( | int | nframes | ) |
| pure virtual

## ◆ setNMixtures()

virtual void cv::cuda::BackgroundSubtractorMOG::setNMixtures | ( | int | nmix | ) |
| pure virtual

## ◆ setNoiseSigma()

virtual void cv::cuda::BackgroundSubtractorMOG::setNoiseSigma | ( | double | noiseSigma | ) |
| pure virtual

The documentation for this class was generated from the following file:

- opencv2/cudabgsegm.hpp